<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\BannerProductResource;
use App\Models\BannerProduct;
use Illuminate\Http\Request;

class BannerProductController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $data = BannerProduct::orderBy('sort_order')->get();

        return BannerProductResource::collection($data);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(BannerProduct $BannerProduct)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(BannerProduct $BannerProduct)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, BannerProduct $BannerProduct)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(BannerProduct $BannerProduct)
    {
        //
    }
}